#import "BackgroundLayer.h"

@implementation BackgroundLayer

- (id)init
{
    if((self = [super init]))
    {
        CGSize winSize = [[Director sharedDirector] winSize];
        CGPoint center = ccp(winSize.width / 2, winSize.height / 2);
        Sprite *background = [Sprite spriteWithFile:@"bg.png"];
        [self addChild:background];
        [background setPosition:center];
        Sprite *turret = [Sprite spriteWithFile:@"turret.png"];
        [self addChild:turret];
        [turret setPosition:center];
    }
    return self;
}

@end